agents

## Class Physician

- java.lang.Object
- - agents.Agent
  - - agents.Physician

- Direct Known Subclasses:
    PCP, Specialist

      public abstract class Physician
      extends Agent

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Physician()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCurrentIncome()` Returns the Physician's current income.
    `boolean` | `getNetworkStatus()` Returns the Physician's network status.
    `int` | `getPhysicianIDNumber()` Returns the Physician's identification number as an integer.
    `java.lang.String` | `getPhysicianIDString()` Returns the Physician's identification number as a string.
    `void` | `i1_GetNetworkMembershipDecision()` Get network membership decision
    `abstract void` | `p1_ProvideTreatmentRecommendation()` Provide care for a patient.
    `void` | `setCurrentIncome(double pCurrentIncome)` Sets the Physician's current income.
    `void` | `setNetworkStatus(boolean pNetworkStatus)` Sets the Physician's network status.

    - ### Methods inherited from class agents.Agent

      `getAgentFirstPriorityGoalDescription, getAgentID, getAgentSecondPriorityGoalDescription, getAgentXLocation, getAgentYLocation, setAgentFirstPriorityGoalDescription, setAgentID, setAgentSecondPriorityGoalDescription, setAgentXLocation, setAgentYLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Physician

          public Physician()

  - ### Method Detail

    - #### i1_GetNetworkMembershipDecision

          public void i1_GetNetworkMembershipDecision()

      Get network membership decision

    - #### p1_ProvideTreatmentRecommendation

          public abstract void p1_ProvideTreatmentRecommendation()

      Provide care for a patient.

    - #### getPhysicianIDString

          public java.lang.String getPhysicianIDString()

      Returns the Physician's identification number as a string.
      Returns:
        the Physician's identification number as a string.

    - #### getPhysicianIDNumber

          public int getPhysicianIDNumber()

      Returns the Physician's identification number as an integer.
      Returns:
        the Physician's identification number as an integer.

    - #### getCurrentIncome

          public double getCurrentIncome()

      Returns the Physician's current income.
      Returns:
        double currentIncome.

    - #### setCurrentIncome

          public void setCurrentIncome(double pCurrentIncome)

      Sets the Physician's current income.

    - #### getNetworkStatus

          public boolean getNetworkStatus()

      Returns the Physician's network status.
      Returns:
        boolean networkStatus.

    - #### setNetworkStatus

          public void setNetworkStatus(boolean pNetworkStatus)

      Sets the Physician's network status.